When I try to install an update it says "No previous installation of RootsMagic 3.0 was found."

If you have version 3 and receive this message, you can go to:

and download the full install program and install it over your current RootsMagic 3.x version.

If you have an older version (2.x or older) then you would need to order an upgrade from:


Article is closed for comments.